QT += core gui widgets quickwidgets positioning
QT += multimedia multimediawidgets
QT += webenginewidgets webchannel
QT += sql charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# Include paths
INCLUDEPATH += include
INCLUDEPATH += AudioModule

# Build directories
OBJECTS_DIR = build
MOC_DIR = build
UI_DIR = build
RCC_DIR = build

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    src/DogDatabase.cpp \
    src/InjuryAnalysisUI.cpp \
    src/InjuryDatabase.cpp \
    src/UAVDatabase.cpp \
    src/injurydisiplayui.cpp \
    src/main.cpp \
    src/guidingui.cpp \
    AudioModule/IntelligenceUI.cpp

HEADERS += \
    include/DogDatabase.h \
    include/InjuryAnalysisUI.h \
    include/InjuryDatabase.h \
    include/UAVDatabase.h \
    include/guidingui.h \
    include/injurydisiplayui.h \
    AudioModule/IntelligenceUI.h

FORMS += \
    ui/InjuryAnalysisUI.ui \
    ui/guidingui.ui \
    ui/injurydisiplayui.ui \
    AudioModule/IntelligenceUI.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res.qrc
